### Enumeration

# Handy ViewSwitcherPolicy

since: 1.0

#### Declaration

    enum Handy.ViewSwitcherPolicy

#### Description [src]

Describes the adaptive modes of `HdyViewSwitcher`.

Available since: 1.0

#### Members

`HDY_VIEW_SWITCHER_POLICY_AUTO`

  Automatically adapt to the best fitting mode.

  - Value: `0`
  - Available since: 1.0
`HDY_VIEW_SWITCHER_POLICY_NARROW`

  Force the narrow mode.

  - Value: `1`
  - Available since: 1.0
`HDY_VIEW_SWITCHER_POLICY_WIDE`

  Force the wide mode.

  - Value: `2`
  - Available since: 1.0